/* Styling of the navigation bar */
.navbar{
    padding:20px;
    background-color: #ffffff1a;
    transition: 0.5s;
}
.box-shadow{
    border: 0px;
    box-shadow: 0px 0.5px 4px #aaaaaa;
    -webkit-box-shadow: 0px 0.5px 4px #aaaaaa;
}
.nav-link, .app-logo{
    transition: 0.4s;
    line-height: 1.4em;
    -webkit-transition: 0.4s;
}
.app-logo:hover{
    transform:scale(0.92);
    cursor:pointer;
}
.nav-link:hover{
    transform:scale(0.92);
    cursor:pointer;
}
.logo-prefix, .logo-suffix{
    margin:0px;
    /* margin-top:-7px; */
    padding-left:7px;
}
.logo-prefix{
    font-size: 32px;
    font-weight: bold;
    margin-top:5px;
}
.logo-suffix{
    font-size: 17px;
}
.app-name{
    color: #2d4e90;
}
.app-name-initial{
    color: #e7effd;
}
#myNavbar{
    float:right;
    text-align:right;
    right:0px;
    position: absolute;
    padding-top: 5px;
}
.app-logo:hover{
    text-decoration: none !important;
}
.app-logo svg{
    height: 50px;
}
.nav-link{
    color: #2d4e90 !important;
    font-size: 18px;
    padding-right: 30px !important;
}
.nav-link:hover{
    color: #87a9ee !important;
}
.nav-link-light{
    color: #e7effd !important;
}
.navbar-inverse{
    background-color: rgba(255, 255, 255, 1) !important;
    border: 0px;
    box-shadow: 0px 0.5px 4px #aaaaaa;
    -webkit-box-shadow: 0px 0.5px 4px #aaaaaa;
}
.dropdown-menu .nav-link{
    padding-top: 1em;
    font-size: 18px;
}
.fa-user-circle{
    font-size:35px
}
/* Style the search field */
.nav-search input[type=text] {
    padding: 10px;
    font-size: 16px;
    border: 1px solid grey;
    float: left;
    width: 80%;
    background: #f9f9f9;
 }

  /* Style the submit button */
.nav-search button {
    float: left;
    width: 20%;
    padding: 12px;
    background: #7B9DE0;
    color: white;
    font-size: 15px;
    border: 1px solid grey;
    border-left: none; /* Prevent double borders */
    cursor: pointer;
}
.nav-search button:hover{
    background: #d3e2ff;
}
.nav-link-login{
    border: 1px solid #fff;
    padding-right: 15px !important;
    padding-left: 15px !important;
    border-radius: 5px;
}
/* End of navbar styling */


@media only screen and (max-width: 295px){
    .app-name{
        font-size: 10px !important;
    }
}
/* Styling for responsiveness */
@media only screen and (max-width: 576px){
    .navbar{
        padding:5px 0px !important;
        background-color: #ffffff;
        transition: 0.5s;
    }
    .logo-prefix{
        font-size: 17px !important;
        margin-top:4px;
    }
    .logo-suffix{
        font-size: 10px !important;
    }
    .td-app-logo svg{
        height:30px !important;
    }
    .app-name{
        font-size: 12px !important;
        line-height:20px;
        text-align: left;
    }
    .navbar-inverse{
        background-color: rgba(255, 255, 255, 1) !important;
        border: 0px;
        box-shadow: 0px 0.5px 4px #aaaaaa;
        -webkit-box-shadow: 0px 0.5px 4px #aaaaaa;
    }
    .navbar-toggler{
        padding:0.3em !important;
        font-size: 20px !important;
    }
    .dropdown-menu .nav-link{
        padding-top: 1em;
        font-size: 18px;
    }
    .nav-link, .dropdown-menu .nav-link{
        line-height: 1.5em;
        font-size: 16px;
    }
    #navbarSupportedContent{
        /* background-color: #000; */
        padding-left:10px;
        border-top: 1px solid #a2a2a2;
    }
}
@media only screen and (max-width: 767px){
    .logo-prefix, .logo-suffix{
        margin:0px;
        margin-top:-7px;
        padding-left:5px;
    }
    .nav-link{
        font-size: 16px;
    }
}
@media only screen and (max-width: 767px){
    .span-socials{
        display:none;
    }
}

@media only screen and (max-width: 991px) {
    logo-prefix, .logo-suffix{
        margin:0px;
        margin-top:-7px;
        padding-left:5px;
    }
    .logo-prefix{
        font-size: 28px;
        margin-top:4px;
        font-weight: bold;
    }
    .logo-suffix{
        font-size: 16px;
        margin-top:-5px;
    }
    .td-app-logo svg{
        height:45px;
    }
    .navbar{
        padding:5px 15px;
        background-color: #ffffff1a;
    }
    .fa-user-circle{
        font-size:25px
    }
    .navbar{
        background-color: #fff;
        border: 0px;
        box-shadow: 0px 0.5px 2px #aaaaaa;
        -webkit-box-shadow: 0px 0.5px 2px #aaaaaa;
    }
    .navbar-toggler{
        color: #ffa51f;
        border: 1px solid #ffa51f;
        padding:0.5em;
    }
    .navbar-toggler:hover{
        background-color: #ffa51f;
        color:#fff;
    }
    .nav-link{
        color: #2d4e90 !important;
        font-size: 18px;
        padding-left: 14px !important;
    }
    .nav-link:hover{
        transform: scale(0.98);
        color: #87a9ee !important;
        background-color: #f9f9f9;
    }
    .app-name{
        color: #2d4e90;
    }
    #ul-user{
        float:left;
        clear:left;
    }
    .nav-login{
        display: block;
    }
    .fa-user-circle{
        display: none;
    }
    .dropdown-menu .nav-link{
        padding-top: 1em;
        font-size: 18px;
    }
    .nav-link, .dropdown-menu .nav-link{
        line-height: 1.5em;
        font-size: 16px;
    }
    #navbarSupportedContent{
        /* background-color: #000; */
        padding-left:10px;
        border-top: 1px solid #a2a2a2;
    }
}
@media only screen and (min-width: 992px) and (max-width: 1200px) {

   /*End of styling*/
}
@media only screen and (min-width: 1200px) {
    #ul_navbar{
        margin-left:3em;
    }
}
